summaryrefslogtreecommitdiff
path: root/tests/common
diff options
context:
space:
mode:
Diffstat (limited to 'tests/common')
-rw-r--r--tests/common10
1 files changed, 9 insertions, 1 deletions
diff --git a/tests/common b/tests/common
index 91682eff..c50b661f 100644
--- a/tests/common
+++ b/tests/common
@@ -90,7 +90,15 @@ run_mustfail()
check_prereq()
{
if ! [ -f $TOP/$1 ]; then
- _fail "Failed prerequisities: $1";
+ _fail "Failed prerequisites: $1";
+ fi
+}
+
+check_global_prereq()
+{
+ which $1 &> /dev/null
+ if [ $? -ne 0 ]; then
+ _fail "Failed system wide prerequisities: $1";
fi
}